Subject: [Sip] 302 Redirect on REGISTER

From: "Olle E. Johansson" <[email-masked]>
Date: Wed, 11 Feb 2004 14:26:33 +0100

Is it ok to send a 302 redirect on a register to redirect the UA to another SIP registrar?

/Olle

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Thomas Froment <[email-masked]>
Date: Wed, 11 Feb 2004 16:38:09 +0100

> Is it ok to send a 302 redirect on a register to redirect the UA to 

In section 10.3 of RFC 3261, it is written:

"registrar MAY redirect REGISTER requests as appropriate. One common 
usage would be for a registrar listening on a multicast interface to 
redirect multicast REGISTER requests to its own unicast interface with a 
302 (Moved Temporarily) response."

So, I would consider you MAY do it.

Thomas